#Tile info patching script for Keen 3
%ext ck3

%version 1.0
%patchfile 0x199F8 tiles3.tli

%version 1.31
%patchfile 0x198C8 tiles3.tli

# The title bitmap will be shown at offset 0,0 
%patch $A08C   $00 $00     # Y location, in pixels 
%patch $A090   $04 $00     # (X location in pixels) / 8 + 4 

# Vortimom strength 
%patch $3D1C $01 $00 


# Make foob kill Keen if touched. 
%patch $3E1B $02 $00 

#make foob run towards keen 

%patch $4B6C $06 $FF 
%patch $4B74 $FA $00

#Vertical platforms kill
%patch $3FC9 $09 $00 

#Vorticon strength 
%patch $3C58 $03 $00 

%patchfile 0x018BD0 story.ck3

#Meep strength 
%patch $3D84 $04 $00

#Menu
%patch 0x01C7D8 "New Game"
%patch 0x01C7E5 "Load Game    "
%patch 0x01C7F7 "Story"
%patch 0x01C801 "Ceilick    "
%patch 0x01C811 "Cleanest   "
%patch 0x01C821 "1-3 order    "
%patch 0x01C833 "Enemies  "
%patch 0x01C841 "Title Screen"

%patchfile 0x0184E3 enemies.ck3
%patchfile 0x0181A4 ending.ck3

#About ID...
%patch 0x01C870 "Ceilick's many mod series         "
%patch 0x01C898 "1.Invasion of the Yorps          "
%patch 0x01C8C0 "2.Decree of the Skree       "
%patch 0x01C8E8 "3.Oracle Janitor  "
%patch 0x01C910 "4. Perilous Pursuit    "
%patch 0x01C938 "5. TUIT (unofficial)               "
%patch 0x01C960 "Number 5 is still in production"
%patch 0x01C988 "                    "
%patch 0x01C9B0 "Thanks to everyone who makes "
%patch 0x01C9D8 "modding possible, and to people  "
%patch 0x01CA00 "who make fun mods!!!   "  

#Status Screen
%patch 0x01BAF8 "SCORE"
%patch 0x01BB02 "EXTRA LIFE AT"
%patch 0x01BB19 "LIVES"
%patch 0x01BB2A "SHOTS "
%patch 0x01BB3D "SHIELD   "
%patch 0x01BB4C "KEYS     "
%patch 0x01C7CA "LIVES LEFT"

#Mortimer Conversation
%patch $1C08D "Aggh!"

%patch $1C093 "I think I'm "

%patch $1C0A0 "Going to be sick! "

%patch $1C0B3 "What could have caused this carnage!  "
%patch $1C0DB "Surely not Commander Keen!            "
%patch $1C103 "There must be terrible monsters in   "
%patch $1C12A "this cave! I really need to be     "
%patch $1C14F "careful!                             "

%patch $1C176 "hmm, my Geezer sence is tingling,  "
%patch $1C19B "wait, that's just my bad knee, but"
%patch $1C1BF "wait...My knee always twitches when   "
%patch $1C1E7 "there is danger!                    "
%patch $1C20D "           "

%patch $1C21A "OH GOD!!!!                     "
%patch $1C23B "What is that thing up ahead!!"

%patch $1C25A "Before my thought bubble dis-  "
%patch $1C27B "appears whoever is controlling me"
%patch $1C29E "better shoot that disgusting    "
%patch $1C2C0 "snake thing!!                    "

%patch $1C2E2 "                                  "

%patch $1C305 "La de da, I'm almost done stalling   "
%patch $1C32C "OK, get ready to shoot!              "
%patch $1C353 "                         "

#Finale
%patch $1C36D "Keen and the Janitor flee the  "
%patch $1C395 "fplanet and return to Gnosticus IV  "
%patch $1C3BB "Thank you for saving Keen! says the   "
%patch $1C3E3 "council. We have decided on a reward! "

%patch $1C40B "We hereby make you the Nineth    "
%patch $1C433 "Council Member!                       "
%patch $1C45B "                                     "

%patch $1C482 "Oh thank you! This has been my life   "
%patch $1C4AA "dream! This is the happiest day  "
%patch $1C4D2 "of my life!               "

%patch $1C4EE "Hooray!     "

%patch 0x01C507 "The End..."
%patch 0x01C512 " For now!"

#No vorticon 
%patch $5A82 $00 $67 

# Make meep shots collide with tiles and other sprites -- and kill them. 
%patch $4877 $6E $46 
%patch $487C $C6 $46 
%patch $4880 $10 $00 

%end
